Edit

Topology - Get Eventstream Source

Returns the specified source of the eventstream.

Permissions

The caller must have read permissions for the eventstream.

Required Delegated Scopes

Eventstream.Read.All or Eventstream.ReadWrite.All or Item.Read.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/eventstreams/{eventstreamId}/sources/{sourceId}

URI Parameters

Name In Required Type Description
eventstreamId
path True

string (uuid)

The eventstream ID.

sourceId
path True

string (uuid)

The source ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK SourceResponse:

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

Examples

Get a Reference Lakehouse eventstream source example
Get an eventstream source example

Get a Reference Lakehouse eventstream source example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/eventstreams/8c500070-073f-4a88-b478-8fabe1941c52/sources/f2886002-d696-4c05-969c-51361365cc25

Sample response

{
  "id": "f2886002-d696-4c05-969c-51361365cc25",
  "name": "ReferenceLakehouseSource",
  "type": "ReferenceLakehouse",
  "properties": {
    "workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
    "itemId": "11111111-2222-3333-4444-555555555555",
    "absoluteOneLakePath": "https://onelake.dfs.fabric.microsoft.com/cfafbeb1-8037-4d0c-896e-a46fb27ff229/11111111-2222-3333-4444-555555555555/Tables/dbo/customers",
    "referencedColumns": [
      "id",
      "name",
      "email"
    ],
    "refreshRate": "00:05:00"
  },
  "status": "Running",
  "error": null
}

Get an eventstream source example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/eventstreams/8c500070-073f-4a88-b478-8fabe1941c52/sources/e2886002-d696-4c05-969c-51361365cc24

Sample response

{
  "id": "e2886002-d696-4c05-969c-51361365cc24",
  "name": "AzureEventHubSource",
  "type": "AzureEventHub",
  "properties": {
    "dataConnectionId": "9c500070-073f-4a88-b478-8fabe1941c52",
    "consumerGroupName": "$Default",
    "inputSerialization": {
      "type": "Json",
      "properties": {
        "encoding": "UTF8"
      }
    }
  },
  "status": "Running",
  "error": null
}

Definitions

Name Description
AmazonKinesisSourceProperties

Amazon Kinesis source properties.

AmazonKinesisSourceResponse

Amazon Kinesis source properties response.

AmazonMSKKafkaSourceProperties

Amazon MSK Kafka source properties.

AmazonMSKKafkaSourceResponse

Amazon MSK Kafka source response.

ApacheKafkaSourceProperties

Apache Kafka source properties.

ApacheKafkaSourceResponse

Apache Kafka source response.

AutoOffsetReset

The auto offset reset property. Default is None.

AvroSerializationInfo

Avro serialization information.

AvroSerializationProperties

Avro serialization properties.

AzureBlobStorageEvents

Azure Blob Storage events source.

AzureBlobStorageEventsSourceProperties

Azure Blob Storage events source properties.

AzureBlobStorageEventsSourceResponse

Azure Blob Storage events source response.

AzureCosmosDBCDCSourceProperties

Azure Cosmos DB CDC source properties.

AzureCosmosDBCDCSourceResponse

Azure Cosmos DB CDC source response.

AzureDataExplorerSourceProperties

Azure Data Explorer source properties.

AzureDataExplorerSourceResponse

Azure Data Explorer source response.

AzureEventGridNamespaceSourceProperties

Azure Event Grid Namespace source properties.

AzureEventGridNamespaceSourceResponse

Azure Event Grid Namespace source response.

AzureEventHubExtendedSourceProperties

Azure Event Hub Extended source properties.

AzureEventHubExtendedSourceResponse

Azure Event Hub Extended source response.

AzureEventHubSourceProperties

Azure Event Hub source properties.

AzureEventHubSourceResponse

Azure Event Hub source response.

AzureIoTHubExtendedSourceProperties

Azure IoT Hub Extended source properties.

AzureIoTHubExtendedSourceResponse

Represents an Azure IoT Hub Extended source response.

AzureIoTHubSourceProperties

Azure IoT Hub source properties.

AzureIoTHubSourceResponse

Azure IoT Hub source response.

AzureServiceBusSourceProperties

Azure Service Bus source properties.

AzureServiceBusSourceResponse

Azure Service Bus source response.

AzureSQLDBCDCSourceResponse

Azure SQL DB CDC source response.

AzureSQLMIDBCDCSourceResponse

Azure SQL MI DB CDC source response.

BaseKafkaSourceProperties

Base Kafka source properties.

BaseSQLServerCDCSourceProperties

Base SQL Server CDC source properties. Extends BaseSQLCDCSourceProperties with SQL Server-specific settings.

CertificateResourceType

The certificate resource type. Additional types may be added over time.

ClientCertificate

Represents the client certificate settings.

ColumnSchema

Represents the schema of a column.

ConfluentCloudSourceResponse

Confluent Cloud source response.

CriblSourceProperties

Cribl source properties. Connection information (bootstrap server, topic name, keys) is returned through the separate source connection API.

CriblSourceResponse

Represents a Cribl source response.

CsvSerializationInfo

CSV serialization information.

CsvSerializationProperties

CSV serialization properties.

CursorPagination

The cursor-based HTTP pagination configuration.

CustomEndpointSourceProperties

Custom endpoint events source properties.

CustomEndpointSourceResponse

Custom endpoint events source response.

DatabaseApplicationIntent

Specifies the application intent for the database connection.

DataType

Represents the data type. Additional data types may be added over time.

DecimalHandlingMode

Specifies how decimal values are represented by the connector (precise decimal, double, or string).

Encoding

The encoding type.

ErrorInfo

Represents the error information.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

EventScope

The event scope.

FabricAnomalyDetectionEventsSourceProperties

Fabric Anomaly Detection Events source properties.

FabricAnomalyDetectionEventsSourceResponse

Fabric Anomaly Detection Events source response.

FabricCapacityOperationEventsSourceProperties

Fabric Capacity Operation Events source properties.

FabricCapacityOperationEventsSourceResponse

Fabric Capacity Operation Events source response.

FabricCapacityOverviewEventsSourceProperties

Fabric Capacity Overview Events source properties.

FabricCapacityOverviewEventsSourceResponse

Fabric Capacity Overview Events source response.

FabricJobEventsSourceProperties

Fabric Job Events source properties.

FabricJobEventsSourceResponse

Fabric Job Events source response.

FabricOneLakeEventsSourceProperties

Fabric OneLake Events source properties.

FabricOneLakeEventsSourceResponse

Fabric OneLake Events source response.

FabricWorkspaceItemEventsSourceProperties

Fabric Workspace Item Events source properties.

FabricWorkspaceItemEventsSourceResponse

Fabric Workspace Item Events source response.

Format

The format type.

GooglePubSubSourceProperties

Google Pub/Sub source properties.

GooglePubSubSourceResponse

Google Pub/Sub source response.

HttpMethod

The HTTP method. Additional methods may be added over time.

HttpSourceProperties

HTTP source properties.

HttpSourceResponse

HTTP source response.

IncludedEventTypes

The included event types. Additional event types may be added over time.

InputSchema

Represents the input schema of the source, destination, or operator.

JsonSerializationInfo

JSON serialization information.

JsonSerializationProperties

JSON serialization properties.

KeyStringValuePair
KeyVaultCertificateResource

A certificate stored in Azure Key Vault.

LakehouseChangeFeedSourceProperties

Represents the Lakehouse Change Feed source properties.

LakehouseChangeFeedSourceResponse

Represents a Lakehouse Change Feed source response.

MirroredDatabaseChangeFeedSourceProperties

Mirrored Database Change Feed source properties.

MirroredDatabaseChangeFeedSourceResponse

Represents a Mirrored Database Change Feed source response.

MongoDBCDCSourceProperties

MongoDB CDC source properties.

MongoDBCDCSourceResponse

MongoDB CDC source response.

MqttSourceProperties

MQTT source properties.

MqttSourceResponse

MQTT source response.

MySQLCDCSourceProperties

MySQL CDC source properties.

MySQLCDCSourceResponse

MySQL CDC source response.

NodeStatus

The status of the node. Additional node status may be added over time.

OffsetPolicy

The offset policy.

OracleDBCDCSourceProperties

Oracle DB CDC source properties.

OracleDBCDCSourceResponse

Represents an Oracle DB CDC source response.

PagePagination

The page-based HTTP pagination configuration.

PostgreSQLCDCSourceProperties

PostgreSQL CDC source properties.

PostgreSQLCDCSourceResponse

PostgreSQL CDC source response.

PublicationAutoCreateMode

The publication auto-create mode.

RealTimeWeatherSourceProperties

Real Time Weather source properties.

RealTimeWeatherSourceResponse

Real Time Weather source response.

ReferenceLakehouseSourceProperties

Reference Lakehouse source properties. The schema and table are identified by absoluteOneLakePath; workspaceId and itemId are still required for OneLake authorization and must match the workspaceId/itemId segments embedded in the URL.

Note that a Reference Lakehouse source can only be used as input to a Join operator (or to a SQL operator when its reference-input feature is enabled). When joined, the other input must be a streaming source and at least one joinOn key is required, with joinOn.left referencing a streaming column and joinOn.right referencing a reference column; duration is not used and a LeftOuter join preserves the streaming side.

ReferenceLakehouseSourceResponse

Reference Lakehouse source response. Reference data sources provide point-in-time snapshots from a Lakehouse delta table used for enrichment joins.

Region

The Amazon Kinesis region name. Additional regions may be added over time.

SampleDataSourceProperties

Sample data source properties.

SampleDataSourceResponse

Sample data events source response.

SAPDatasphereSourceProperties

Represents the properties of an SAP Datasphere source. Connection information (bootstrap server, topic name, and authentication credentials) is returned through the separate source connection API.

SAPDatasphereSourceResponse

Represents an SAP Datasphere source response.

SaslMechanism

The SASL mechanism. Additional SASL mechanisms may be added over time.

Schema

Represents the schema of the data.

SecurityProtocol

The security protocol.

SerializationType

The serialization type. Additional serialization types may be added over time.

ServerVersion

The MQTT server version.

SnapshotLockingMode

Specifies the locking strategy used when taking the initial snapshot (for example, minimal locks vs extended locking for stronger consistency).

SnapshotLockingModeForOracle

Specifies the locking strategy used when taking the initial snapshot of Oracle tables.

SnapshotMode

Specifies how the initial snapshot of data is taken (for example, initial load, initial only, or no data).

SnapshotSelectStatementOverrideItem

Represents a snapshot select statement override for a specific table.

SolacePubSubQueueSourceProperties

Solace PubSub queue source properties.

SolacePubSubSourceResponse

Solace PubSub source response.

SolacePubSubTopicsSourceProperties

Solace PubSub topics source properties.

SourceType

Represents the type of the source. Additional source types may be added over time.

SQLServerOnVMDBCDCSourceResponse

Azure SQL Server on VM DB CDC source response.

StartPosition

The start position in the Azure Event Hub stream.

TLSRevocationMode

The TLS certificate revocation mode. Additional modes may be added over time.

TLSSettings

Represents the TLS settings for a source connection.

TrustCACertificate

Represents the trust CA certificate settings.

Type

The sample data type. Additional sample data types may be added over time.

AmazonKinesisSourceProperties

Amazon Kinesis source properties.

Name Type Description
dataConnectionId

string (uuid)

The Amazon Kinesis data connection identifier.

region

Region

The Amazon Kinesis region name. Additional regions may be added over time.

startPosition

StartPosition

The start position in the stream.

startTimestamp

string

The start timestamp in ISO 8601 format (for example, '2024-01-15T10:30:00Z'). Required when startPosition is AtTimestamp.

AmazonKinesisSourceResponse

Amazon Kinesis source properties response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AmazonKinesisSourceProperties

The properties of the Amazon Kinesis source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AmazonKinesis

The type of the source.

AmazonMSKKafkaSourceProperties

Amazon MSK Kafka source properties.

Name Type Default value Description
autoOffsetReset

AutoOffsetReset

None

The auto offset reset property. Default is None.

consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Kafka data connection identifier.

saslMechanism

SaslMechanism

The SASL mechanism. Additional SASL mechanisms may be added over time.

securityProtocol

SecurityProtocol

The security protocol.

tlsSettings

TLSSettings

The TLS settings for the Kafka connection.

topic

string

The Kafka topic.

AmazonMSKKafkaSourceResponse

Amazon MSK Kafka source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AmazonMSKKafkaSourceProperties

The properties of the Amazon MSK Kafka source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AmazonMSKKafka

The type of the source.

ApacheKafkaSourceProperties

Apache Kafka source properties.

Name Type Default value Description
autoOffsetReset

AutoOffsetReset

None

The auto offset reset property. Default is None.

consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Kafka data connection identifier.

saslMechanism

SaslMechanism

The SASL mechanism. Additional SASL mechanisms may be added over time.

securityProtocol

SecurityProtocol

The security protocol.

tlsSettings

TLSSettings

The TLS settings for the Kafka connection.

topic

string

The Kafka topic.

ApacheKafkaSourceResponse

Apache Kafka source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

ApacheKafkaSourceProperties

The properties of the Apache Kafka source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

ApacheKafka

The type of the source.

AutoOffsetReset

The auto offset reset property. Default is None.

Value Description
None

The auto offset reset is None.

Earliest

The auto offset reset is Earliest.

Latest

The auto offset reset is Latest.

AvroSerializationInfo

Avro serialization information.

Name Type Description
properties

AvroSerializationProperties

Avro serialization properties.

type string:

Avro

The serialization type.

AvroSerializationProperties

Avro serialization properties.

AzureBlobStorageEvents

Azure Blob Storage events source.

Name Type Description
azureResourceId

string

The Azure resource identifier of the blob storage.

id

string (uuid)

The unique identifier of the source.

includedEventTypes

IncludedEventTypes[]

The included event types. Additional event types may be added over time.

AzureBlobStorageEventsSourceProperties

Azure Blob Storage events source properties.

Name Type Description
azureBlobStorageEvents

AzureBlobStorageEvents[]

The Azure Blob Storage events.

streamEvents

boolean

Indicates whether to stream events.

AzureBlobStorageEventsSourceResponse

Azure Blob Storage events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureBlobStorageEventsSourceProperties

The properties of the Azure Blob Storage events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureBlobStorageEvents

The type of the source.

AzureCosmosDBCDCSourceProperties

Azure Cosmos DB CDC source properties.

Name Type Description
containerName

string

The container name.

dataConnectionId

string (uuid)

The Azure Cosmos DB CDC data connection identifier.

databaseName

string

The database name.

offsetPolicy

OffsetPolicy

The offset policy.

AzureCosmosDBCDCSourceResponse

Azure Cosmos DB CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureCosmosDBCDCSourceProperties

The properties of the Azure Cosmos DB CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureCosmosDBCDC

The type of the source.

AzureDataExplorerSourceProperties

Azure Data Explorer source properties.

Name Type Description
dataConnectionId

string (uuid)

The Azure Data Explorer data connection identifier.

databaseName

string

The database name.

tableNames

string

The list of comma-separated table names.

AzureDataExplorerSourceResponse

Azure Data Explorer source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureDataExplorerSourceProperties

The properties of the Azure Data Explorer source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureDataExplorer

The type of the source.

AzureEventGridNamespaceSourceProperties

Azure Event Grid Namespace source properties.

Name Type Description
namespaceResourceId

string

The Azure Event Grid Namespace resource identifier.

topic

string

The topic name.

AzureEventGridNamespaceSourceResponse

Azure Event Grid Namespace source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureEventGridNamespaceSourceProperties

The properties of the Azure Event Grid Namespace source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureEventGridNamespace

The type of the source.

AzureEventHubExtendedSourceProperties

Azure Event Hub Extended source properties.

Name Type Description
consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Azure Event Hub data connection identifier.

startPosition

StartPosition

The start position in the Azure Event Hub stream.

AzureEventHubExtendedSourceResponse

Azure Event Hub Extended source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureEventHubExtendedSourceProperties

The properties of the Azure Event Hub Extended source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureEventHubExtended

The type of the source.

AzureEventHubSourceProperties

Azure Event Hub source properties.

Name Type Description
consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Azure Event Hub data connection identifier.

inputSerialization SerializationInfo:

Serialization information.

AzureEventHubSourceResponse

Azure Event Hub source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureEventHubSourceProperties

The properties of the Azure Event Hub source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureEventHub

The type of the source.

AzureIoTHubExtendedSourceProperties

Azure IoT Hub Extended source properties.

Name Type Description
consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Azure IoT Hub data connection identifier.

startPosition

StartPosition

The start position in the Azure IoT Hub stream.

AzureIoTHubExtendedSourceResponse

Represents an Azure IoT Hub Extended source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureIoTHubExtendedSourceProperties

The properties of the Azure IoT Hub Extended source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureIoTHubExtended

The type of the source.

AzureIoTHubSourceProperties

Azure IoT Hub source properties.

Name Type Description
consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Azure IoT Hub data connection identifier.

inputSerialization SerializationInfo:

Serialization information.

AzureIoTHubSourceResponse

Azure IoT Hub source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureIoTHubSourceProperties

The properties of the Azure IoT Hub source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureIoTHub

The type of the source.

AzureServiceBusSourceProperties

Azure Service Bus source properties.

Name Type Description
dataConnectionId

string (uuid)

The Azure Service Bus data connection identifier.

serviceBusType enum:
  • Queue
  • Topic

The type of the Azure Service Bus source.

subscriptionName

string

The name of the Azure Service Bus subscription. This property is required when the entity type is Topic.

topicOrQueueName

string

The name of the Azure Service Bus topic or queue.

AzureServiceBusSourceResponse

Azure Service Bus source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

AzureServiceBusSourceProperties

The properties of the Azure Service Bus source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureServiceBus

The type of the source.

AzureSQLDBCDCSourceResponse

Azure SQL DB CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

BaseSQLServerCDCSourceProperties

The properties of the Azure SQL DB CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureSQLDBCDC

The type of the source.

AzureSQLMIDBCDCSourceResponse

Azure SQL MI DB CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

BaseSQLServerCDCSourceProperties

The properties of the Azure SQL MI DB CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

AzureSQLMIDBCDC

The type of the source.

BaseKafkaSourceProperties

Base Kafka source properties.

Name Type Default value Description
autoOffsetReset

AutoOffsetReset

None

The auto offset reset property. Default is None.

consumerGroupName

string

The consumer group name.

dataConnectionId

string (uuid)

The Kafka data connection identifier.

tlsSettings

TLSSettings

The TLS settings for the Kafka connection.

topic

string

The Kafka topic.

BaseSQLServerCDCSourceProperties

Base SQL Server CDC source properties. Extends BaseSQLCDCSourceProperties with SQL Server-specific settings.

Name Type Description
dataConnectionId

string (uuid)

The SQL CDC data connection identifier.

databaseApplicationIntent

DatabaseApplicationIntent

Specifies the application intent for the database connection.

decimalHandlingMode

DecimalHandlingMode

Specifies how decimal values are represented by the connector (precise decimal, double, or string).

excludedColumns

string

The comma-separated list of columns to exclude from capture.

heartbeatActionQuery

string

The query executed on the source database when a heartbeat is sent.

heartbeatIntervalMs

integer

The interval in milliseconds between heartbeat messages.

snapshotMode

SnapshotMode

Specifies how the initial snapshot of data is taken (for example, initial load, initial only, or no data).

snapshotSelectStatementOverrides

SnapshotSelectStatementOverrideItem[]

The snapshot select statement overrides. Each entry specifies a table and a custom SELECT statement to use for the initial snapshot.

storeOnlyCapturedTablesDdl

boolean

Indicates whether schema history stores data definition language statements only for captured tables.

tableName

string

The table name.

CertificateResourceType

The certificate resource type. Additional types may be added over time.

Value Description
KeyVault

The certificate is stored in Azure Key Vault.

ClientCertificate

Represents the client certificate settings.

Name Type Description
certificateResource CertificateResource:

KeyVaultCertificateResource

The client certificate resource.

revocationMode

TLSRevocationMode

The TLS certificate revocation mode. Additional modes may be added over time.

ColumnSchema

Represents the schema of a column.

Name Type Description
fields

ColumnSchema[]

A list of the fields for the record or array data type.

items

ColumnSchema

The schema of the array items.

name

string

The name of the column.

type

DataType

The data type of the column.

ConfluentCloudSourceResponse

Confluent Cloud source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

BaseKafkaSourceProperties

Base Kafka source properties.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

ConfluentCloud

The type of the source.

CriblSourceProperties

Cribl source properties. Connection information (bootstrap server, topic name, keys) is returned through the separate source connection API.

CriblSourceResponse

Represents a Cribl source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

CriblSourceProperties

The properties of the Cribl source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

Cribl

The type of the source.

CsvSerializationInfo

CSV serialization information.

Name Type Description
properties

CsvSerializationProperties

CSV serialization properties.

type string:

Csv

The serialization type.

CsvSerializationProperties

CSV serialization properties.

Name Type Description
encoding

Encoding

The encoding type.

fieldDelimiter

string

The field delimiter.

format

Format

The format type.

CursorPagination

The cursor-based HTTP pagination configuration.

Name Type Description
cursorJsonPointer

string

The JSON Pointer expression to extract the cursor value from the HTTP response body.

initialCursor

string

The initial cursor value.

type string:

Cursor

The pagination type. Additional pagination types may be added over time.

CustomEndpointSourceProperties

Custom endpoint events source properties.

CustomEndpointSourceResponse

Custom endpoint events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

CustomEndpointSourceProperties

The properties of the custom endpoint events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

CustomEndpoint

The type of the source.

DatabaseApplicationIntent

Specifies the application intent for the database connection.

Value Description
ReadWrite

The database application intent is ReadWrite.

ReadOnly

The database application intent is ReadOnly.

DataType

Represents the data type. Additional data types may be added over time.

Value Description
BigInt

BigInt data type.

Float

Float data type.

Nvarchar(max)

Nvarchar(max) data type.

DateTime

DateTime data type.

Bit

Bit data type.

Record

Record data type.

Array

Array data type.

Any

Unknown data type.

DecimalHandlingMode

Specifies how decimal values are represented by the connector (precise decimal, double, or string).

Value Description
Precise

The decimal handling mode is Precise.

Double

The decimal handling mode is Double.

String

The decimal handling mode is String.

Encoding

The encoding type.

Value Description
UTF8

The encoding type is UTF8.

ErrorInfo

Represents the error information.

Name Type Description
errorCode

string

The error code.

errorDetails

string[]

The error details.

errorMessage

string

The error message.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

EventScope

The event scope.

Value Description
Tenant

The event scope is Tenant.

Capacity

The event scope is Capacity.

Workspace

The event scope is Workspace.

Item

The event scope is Item.

SubItem

The event scope is SubItem.

FabricAnomalyDetectionEventsSourceProperties

Fabric Anomaly Detection Events source properties.

Name Type Description
configurationId

string (uuid)

The anomaly detection configuration identifier.

filters

object[]

The Azure Event Grid advanced filters to apply. Each entry is an advanced filter object as defined by Azure Event Grid. For details, see https://learn.microsoft.com/azure/event-grid/event-filtering#advanced-filtering.

includedEventTypes

string[]

The list of event types to include. Supported values: Microsoft.Fabric.AnomalyDetection.AnomalyDetected. Additional event types may be added over time.

itemId

string (uuid)

The item identifier.

workspaceId

string (uuid)

The workspace identifier.

FabricAnomalyDetectionEventsSourceResponse

Fabric Anomaly Detection Events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

FabricAnomalyDetectionEventsSourceProperties

The properties of the Fabric Anomaly Detection Events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

FabricAnomalyDetectionEvents

The type of the source.

FabricCapacityOperationEventsSourceProperties

Fabric Capacity Operation Events source properties.

Name Type Description
capacityId

string (uuid)

The capacity identifier.

eventScope

EventScope

The event scope.

filters

object[]

The Azure Event Grid advanced filters to apply. Each entry is an advanced filter object as defined by Azure Event Grid. For details, see https://learn.microsoft.com/azure/event-grid/event-filtering#advanced-filtering.

includedEventTypes

string[]

The list of event types to include. Supported values: Microsoft.Fabric.Capacity.OperationStarted, Microsoft.Fabric.Capacity.OperationCompleted. Additional event types may be added over time.

FabricCapacityOperationEventsSourceResponse

Fabric Capacity Operation Events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

FabricCapacityOperationEventsSourceProperties

The properties of the Fabric Capacity Operation Events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

FabricCapacityOperationEvents

The type of the source.

FabricCapacityOverviewEventsSourceProperties

Fabric Capacity Overview Events source properties.

Name Type Description
capacityId

string (uuid)

The capacity identifier.

eventScope

EventScope

filters

object[]

The Azure Event Grid advanced filters to apply. Each entry is an advanced filter object as defined by Azure Event Grid. For details, see https://learn.microsoft.com/azure/event-grid/event-filtering#advanced-filtering.

includedEventTypes

string[]

The list of event types to include. Supported values: Microsoft.Fabric.Capacity.State, Microsoft.Fabric.Capacity.Summary. Additional event types may be added over time.

FabricCapacityOverviewEventsSourceResponse

Fabric Capacity Overview Events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

FabricCapacityOverviewEventsSourceProperties

The properties of the Fabric Capacity Overview Events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

FabricCapacityOverviewEvents

The type of the source.

FabricJobEventsSourceProperties

Fabric Job Events source properties.

Name Type Description
eventScope

EventScope

filters

object

The advanced filters defined in https://learn.microsoft.com/en-us/azure/event-grid/event-filtering#advanced-filtering.

includedEventTypes

string[]

The list of event types to include. Supported values: Microsoft.Fabric.JobEvents.ItemJobCreated, Microsoft.Fabric.JobEvents.ItemJobStatusChanged, Microsoft.Fabric.JobEvents.ItemJobSucceeded, Microsoft.Fabric.JobEvents.ItemJobFailed. Additional event types may be added over time.

itemId

string (uuid)

The item identifier.

workspaceId

string (uuid)

The workspace identifier.

FabricJobEventsSourceResponse

Fabric Job Events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

FabricJobEventsSourceProperties

The properties of the Fabric Job Events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

FabricJobEvents

The type of the source.

FabricOneLakeEventsSourceProperties

Fabric OneLake Events source properties.

Name Type Description
filters

object

The advanced filters defined in https://learn.microsoft.com/en-us/azure/event-grid/event-filtering#advanced-filtering.

includedEventTypes

string[]

The list of event types to include. Supported values: Microsoft.Fabric.OneLake.FileCreated, Microsoft.Fabric.OneLake.FileDeleted, Microsoft.Fabric.OneLake.FileRenamed, Microsoft.Fabric.OneLake.FolderCreated, Microsoft.Fabric.OneLake.FolderDeleted, Microsoft.Fabric.OneLake.FolderRenamed. Additional event types may be added over time.

itemId

string (uuid)

The item identifier.

oneLakePaths

string[]

The OneLake paths.

tenantId

string (uuid)

The tenant identifier.

workspaceId

string (uuid)

The workspace identifier.

FabricOneLakeEventsSourceResponse

Fabric OneLake Events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

FabricOneLakeEventsSourceProperties

The properties of the Fabric OneLake Events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

FabricOneLakeEvents

The type of the source.

FabricWorkspaceItemEventsSourceProperties

Fabric Workspace Item Events source properties.

Name Type Description
eventScope

EventScope

filters

object

The advanced filters defined in https://learn.microsoft.com/en-us/azure/event-grid/event-filtering#advanced-filtering.

includedEventTypes

string[]

The list of event types to include. Supported values: Microsoft.Fabric.ItemCreateSucceeded, Microsoft.Fabric.ItemCreateFailed, Microsoft.Fabric.ItemUpdateSucceeded, Microsoft.Fabric.ItemUpdateFailed, Microsoft.Fabric.ItemDeleteSucceeded, Microsoft.Fabric.ItemDeleteFailed. Additional event types may be added over time.

itemId

string (uuid)

The item identifier.

workspaceId

string (uuid)

The workspace identifier.

FabricWorkspaceItemEventsSourceResponse

Fabric Workspace Item Events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

FabricWorkspaceItemEventsSourceProperties

The properties of the Fabric Workspace Item Events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

FabricWorkspaceItemEvents

The type of the source.

Format

The format type.

Value Description
WithHeaders

The format includes headers.

WithoutHeaders

The format does not include headers.

GooglePubSubSourceProperties

Google Pub/Sub source properties.

Name Type Description
dataConnectionId

string (uuid)

The Google Pub/Sub data connection identifier.

GooglePubSubSourceResponse

Google Pub/Sub source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

GooglePubSubSourceProperties

The properties of the Google Pub/Sub source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

GooglePubSub

The type of the source.

HttpMethod

The HTTP method. Additional methods may be added over time.

Value Description
GET

The HTTP GET method.

POST

The HTTP POST method.

HttpSourceProperties

HTTP source properties.

Name Type Description
dataConnectionId

string (uuid)

The HTTP data connection identifier.

maxRetries

integer

The maximum number of retries for failed requests.

method

HttpMethod

The HTTP method. Additional methods may be added over time.

pagination HttpPagination:

The base HTTP pagination configuration. The concrete pagination strategy is determined by the type field; see PagePagination and CursorPagination.

pollIntervalMs

integer

The polling interval in milliseconds.

requestBody

string

The HTTP request body.

requestHeaders

KeyStringValuePair[]

The HTTP request headers.

requestParameters

KeyStringValuePair[]

The HTTP request parameters.

responseDataJsonPointer

string

The JSON Pointer expression to extract data from the HTTP response body.

retriableHttpStatusCodes

string

The retriable HTTP status codes as a comma-separated string.

retryBackoffMs

integer

The retry backoff time in milliseconds.

HttpSourceResponse

HTTP source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

HttpSourceProperties

The properties of the HTTP source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

Http

The type of the source.

IncludedEventTypes

The included event types. Additional event types may be added over time.

Value Description
Microsoft.Storage.BlobCreated

Blob created event.

Microsoft.Storage.BlobDeleted

Blob deleted event.

Microsoft.Storage.BlobRenamed

Blob renamed event.

Microsoft.Storage.BlobTierChanged

Blob tier changed event.

Microsoft.Storage.DirectoryCreated

Directory created event.

Microsoft.Storage.DirectoryDeleted

Directory deleted event.

Microsoft.Storage.DirectoryRenamed

Directory renamed event.

Microsoft.Storage.BlobInventoryPolicyCompleted

Blob inventory policy completed event.

Microsoft.Storage.AsyncOperationInitiated

Async operation initiated event.

Microsoft.Storage.LifecyclePolicyCompleted

Lifecycle policy completed event.

InputSchema

Represents the input schema of the source, destination, or operator.

Name Type Description
name

string

The name of the input schema.

schema

Schema

Represents the schema of the data.

JsonSerializationInfo

JSON serialization information.

Name Type Description
properties

JsonSerializationProperties

JSON serialization properties.

type string:

Json

The serialization type.

JsonSerializationProperties

JSON serialization properties.

Name Type Description
encoding

Encoding

The encoding type.

KeyStringValuePair

Name Type Description
key

string

The key.

value

string

The value.

KeyVaultCertificateResource

A certificate stored in Azure Key Vault.

Name Type Description
azureKeyVaultResourceId

string

The Azure Key Vault resource ID (Azure Resource Manager (ARM) resource ID, not a UUID).

certificateName

string

The certificate name in the Key Vault.

type string:

KeyVault

The certificate resource type.

LakehouseChangeFeedSourceProperties

Represents the Lakehouse Change Feed source properties.

Name Type Description
itemId

string (uuid)

The Lakehouse item identifier.

tableNames

string[]

The list of table names whose changes are consumed. Currently, only ["*"] (all tables) is supported. Specific table selection will be supported in a future release.

workspaceId

string (uuid)

The workspace containing the Lakehouse.

LakehouseChangeFeedSourceResponse

Represents a Lakehouse Change Feed source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

LakehouseChangeFeedSourceProperties

The properties of the Lakehouse Change Feed source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

LakehouseChangeFeed

The type of the source.

MirroredDatabaseChangeFeedSourceProperties

Mirrored Database Change Feed source properties.

Name Type Description
itemId

string (uuid)

The item identifier.

tableNames

string[]

The list of table names. Currently, only ["*"] (all tables) is supported. Specific table selection will be supported in a future release.

workspaceId

string (uuid)

The workspace identifier.

MirroredDatabaseChangeFeedSourceResponse

Represents a Mirrored Database Change Feed source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

MirroredDatabaseChangeFeedSourceProperties

The properties of the Mirrored Database Change Feed source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

MirroredDatabaseChangeFeed

The type of the source.

MongoDBCDCSourceProperties

MongoDB CDC source properties.

Name Type Description
dataConnectionId

string (uuid)

The MongoDB CDC data connection identifier.

includedCollections

string

The comma-separated list of regular expressions that match collection names to include.

includedDatabases

string

The comma-separated list of regular expressions that match database names to include.

snapshotMode

SnapshotMode

The snapshot mode.

MongoDBCDCSourceResponse

MongoDB CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

MongoDBCDCSourceProperties

The properties of the MongoDB CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

MongoDBCDC

The type of the source.

MqttSourceProperties

MQTT source properties.

Name Type Description
dataConnectionId

string (uuid)

The MQTT data connection identifier.

serverVersion

ServerVersion

The MQTT server version.

tlsSettings

TLSSettings

The TLS settings for the MQTT connection.

topic

string

The MQTT topic.

MqttSourceResponse

MQTT source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

MqttSourceProperties

The properties of the MQTT source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

Mqtt

The type of the source.

MySQLCDCSourceProperties

MySQL CDC source properties.

Name Type Default value Description
dataConnectionId

string (uuid)

The SQL CDC data connection identifier.

decimalHandlingMode

DecimalHandlingMode

Specifies how decimal values are represented by the connector (precise decimal, double, or string).

port

integer

3306

The port number. Default is 3306.

serverId

integer

The server identifier for the CDC connector.

snapshotLockingMode

SnapshotLockingMode

Specifies the locking strategy used when taking the initial snapshot (for example, minimal locks vs extended locking for stronger consistency).

snapshotMode

SnapshotMode

Specifies how the initial snapshot of data is taken (for example, initial load, initial only, or no data).

storeOnlyCapturedTablesDdl

boolean

Indicates whether schema history stores data definition language statements only for captured tables.

tableName

string

The table name.

MySQLCDCSourceResponse

MySQL CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

MySQLCDCSourceProperties

The properties of the MySQL CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

MySQLCDC

The type of the source.

NodeStatus

The status of the node. Additional node status may be added over time.

Value Description
Unknown

The status of the node is unknown.

Creating

The node is being created.

Created

The node has been created.

Updating

The node is being updated.

Running

The node is running.

Paused

The node is paused.

Failed

The node has failed.

Warning

The node has a warning.

Deleting

The node is being deleted.

Pausing

The node is being paused.

Resuming

The node is being resumed.

External

The node status depends on an external service.

OffsetPolicy

The offset policy.

Value Description
Earliest

The offset policy is Earliest.

Latest

The offset policy is Latest.

OracleDBCDCSourceProperties

Oracle DB CDC source properties.

Name Type Description
dataConnectionId

string (uuid)

The Oracle DB CDC data connection identifier.

decimalHandlingMode

DecimalHandlingMode

Specifies how decimal values are represented by the connector (precise decimal, double, or string).

snapshotLockingMode

SnapshotLockingModeForOracle

Specifies the locking strategy used when taking the initial snapshot of Oracle tables.

snapshotMode

SnapshotMode

Specifies the criteria for performing a snapshot when the connector starts.

storeOnlyCapturedTablesDdl

boolean

Indicates whether schema history stores data definition language statements only for captured tables.

tableNames

string[]

The list of fully qualified table names to capture changes from. When not specified, all tables in the database are captured.

OracleDBCDCSourceResponse

Represents an Oracle DB CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

OracleDBCDCSourceProperties

The properties of the Oracle DB CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

OracleDBCDC

The type of the source.

PagePagination

The page-based HTTP pagination configuration.

Name Type Description
initialPage

integer (int32)

minimum: 0

The initial page number. The value must be greater than or equal to 0.

pageIncrement

integer (int32)

minimum: 1

The number to increment per page. The value must be greater than or equal to 1.

type string:

Page

The pagination type. Additional pagination types may be added over time.

PostgreSQLCDCSourceProperties

PostgreSQL CDC source properties.

Name Type Default value Description
dataConnectionId

string (uuid)

The SQL CDC data connection identifier.

decimalHandlingMode

DecimalHandlingMode

Specifies how decimal values are represented by the connector (precise decimal, double, or string).

heartbeatActionQuery

string

The heartbeat action query. A SQL statement executed periodically to keep the replication slot active.

heartbeatIntervalMs

integer

The interval in milliseconds between heartbeat messages.

port

integer

5432

The port number. Default is 5432.

publicationAutoCreateMode

PublicationAutoCreateMode

The publication auto-create mode.

publicationName

string

The publication name for the CDC connector.

slotName

string

The slot name for the CDC connector.

snapshotMode

SnapshotMode

Specifies how the initial snapshot of data is taken (for example, initial load, initial only, or no data).

snapshotSelectStatementOverrides

SnapshotSelectStatementOverrideItem[]

The snapshot select statement overrides. Each entry specifies a table and a custom SELECT statement to use for the initial snapshot.

tableName

string

The table name.

PostgreSQLCDCSourceResponse

PostgreSQL CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

PostgreSQLCDCSourceProperties

The properties of the PostgreSQL CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

PostgreSQLCDC

The type of the source.

PublicationAutoCreateMode

The publication auto-create mode.

Value Description
Filtered

The publication auto-create mode is Filtered.

AllTables

The publication auto-create mode is AllTables.

Disabled

The publication auto-create mode is Disabled.

RealTimeWeatherSourceProperties

Real Time Weather source properties.

Name Type Description
latitude

number

The latitude for the weather data.

longitude

number

The longitude for the weather data.

RealTimeWeatherSourceResponse

Real Time Weather source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

RealTimeWeatherSourceProperties

The properties of the Real Time Weather source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

RealTimeWeather

The type of the source.

ReferenceLakehouseSourceProperties

Reference Lakehouse source properties. The schema and table are identified by absoluteOneLakePath; workspaceId and itemId are still required for OneLake authorization and must match the workspaceId/itemId segments embedded in the URL.

Note that a Reference Lakehouse source can only be used as input to a Join operator (or to a SQL operator when its reference-input feature is enabled). When joined, the other input must be a streaming source and at least one joinOn key is required, with joinOn.left referencing a streaming column and joinOn.right referencing a reference column; duration is not used and a LeftOuter join preserves the streaming side.

Name Type Description
absoluteOneLakePath

string

Absolute OneLake DFS URL to the delta table, in the form https://onelake.dfs.fabric.microsoft.com/{workspaceId}/{itemId}/Tables/{schema}/{table}. The schema and table segments identify the reference table; workspaceId and itemId segments must match the workspaceId and itemId properties.

itemId

string (uuid)

The Lakehouse item identifier.

referencedColumns

string[]

The columns to include from the delta table. When omitted, all columns are included.

refreshRate

string

Refresh rate for the reference data snapshot, as a .NET TimeSpan-formatted string ("hh:mm:ss", e.g. "00:05:00" for 5 minutes). Must be at least 00:00:00 (static, no refresh) and less than 24 hours. When omitted, the reference data is treated as static (no refresh). OneLake operations are billed separately, so an explicit non-zero refresh rate has cost implications.

workspaceId

string (uuid)

The Lakehouse workspace identifier.

ReferenceLakehouseSourceResponse

Reference Lakehouse source response. Reference data sources provide point-in-time snapshots from a Lakehouse delta table used for enrichment joins.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

ReferenceLakehouseSourceProperties

The properties of the Reference Lakehouse source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

ReferenceLakehouse

The type of the source.

Region

The Amazon Kinesis region name. Additional regions may be added over time.

Value Description
af-south-1

Africa (Cape Town) region.

ap-east-1

Asia Pacific (Hong Kong) region.

ap-northeast-1

Asia Pacific (Tokyo) region.

ap-northeast-2

Asia Pacific (Seoul) region.

ap-northeast-3

Asia Pacific (Osaka) region.

ap-south-1

Asia Pacific (Mumbai) region.

ap-south-2

Asia Pacific (Hyderabad) region.

ap-southeast-1

Asia Pacific (Singapore) region.

ap-southeast-2

Asia Pacific (Sydney) region.

ap-southeast-3

Asia Pacific (Jakarta) region.

ap-southeast-4

Asia Pacific (Melbourne) region.

ap-southeast-5

Asia Pacific (Malaysia) region.

ca-central-1

Canada (Central) region.

ca-west-1

Canada West (Calgary) region.

eu-central-1

Europe (Frankfurt) region.

eu-central-2

Europe (Zurich) region.

eu-north-1

Europe (Stockholm) region.

eu-south-1

Europe (Milan) region.

eu-south-2

Europe (Spain) region.

eu-west-1

Europe (Ireland) region.

eu-west-2

Europe (London) region.

eu-west-3

Europe (Paris) region.

il-central-1

Israel (Tel Aviv) region.

me-central-1

Middle East (UAE) region.

me-south-1

Middle East (Bahrain) region.

sa-east-1

South America (São Paulo) region.

us-east-1

US East (N. Virginia) region.

us-east-2

US East (Ohio) region.

us-gov-east-1

AWS GovCloud (US-East) region.

us-gov-west-1

AWS GovCloud (US-West) region.

us-west-1

US West (N. California) region.

us-west-2

US West (Oregon) region.

SampleDataSourceProperties

Sample data source properties.

Name Type Description
type

Type

The sample data type. Additional sample data types may be added over time.

SampleDataSourceResponse

Sample data events source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

SampleDataSourceProperties

The properties of the sample data events source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

SampleData

The type of the source.

SAPDatasphereSourceProperties

Represents the properties of an SAP Datasphere source. Connection information (bootstrap server, topic name, and authentication credentials) is returned through the separate source connection API.

SAPDatasphereSourceResponse

Represents an SAP Datasphere source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

SAPDatasphereSourceProperties

The properties of the SAP Datasphere source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

SAPDatasphere

The type of the source.

SaslMechanism

The SASL mechanism. Additional SASL mechanisms may be added over time.

Value Description
PLAIN

The SASL mechanism is PLAIN.

SCRAM-SHA-256

The SASL mechanism is SCRAM-SHA-256.

SCRAM-SHA-512

The SASL mechanism is SCRAM-SHA-512.

Schema

Represents the schema of the data.

Name Type Description
columns

ColumnSchema[]

A list of the columns in the schema.

SecurityProtocol

The security protocol.

Value Description
SASL_PLAINTEXT

The security protocol is SASL_PLAINTEXT.

PLAINTEXT

The security protocol is PLAINTEXT.

SASL_SSL

The security protocol is SASL_SSL.

SSL

The security protocol is SSL.

SerializationType

The serialization type. Additional serialization types may be added over time.

Value Description
Avro

The serialization type is Avro.

Json

The serialization type is JSON.

Csv

The serialization type is CSV.

ServerVersion

The MQTT server version.

Value Description
V3

The MQTT server version is V3.

V5

The MQTT server version is V5.

SnapshotLockingMode

Specifies the locking strategy used when taking the initial snapshot (for example, minimal locks vs extended locking for stronger consistency).

Value Description
Minimal

The snapshot locking mode is Minimal.

Extended

The snapshot locking mode is Extended.

None

The snapshot locking mode is None.

SnapshotLockingModeForOracle

Specifies the locking strategy used when taking the initial snapshot of Oracle tables.

Value Description
Shared

The snapshot locking mode is Shared.

None

The snapshot locking mode is None.

SnapshotMode

Specifies how the initial snapshot of data is taken (for example, initial load, initial only, or no data).

Value Description
Initial

The snapshot mode is Initial.

InitialOnly

The snapshot mode is InitialOnly.

NoData

The snapshot mode is NoData.

SnapshotSelectStatementOverrideItem

Represents a snapshot select statement override for a specific table.

Name Type Description
selectStatement

string

The custom SELECT statement to use for the initial snapshot.

tableName

string

The table name.

SolacePubSubQueueSourceProperties

Solace PubSub queue source properties.

Name Type Description
dataConnectionId

string (uuid)

The Solace PubSub data connection identifier.

mapSolaceProperties

boolean

Indicates whether to map Solace standard message properties to Kafka record headers.

mapUserProperties

boolean

Indicates whether to map user properties from Solace message to Kafka record headers.

messageVpnName

string

The Solace PubSub message VPN name.

pubSubType string:

Queue

The Solace PubSub type.

queue

string

The Solace PubSub queue name.

tlsSettings

TLSSettings

The TLS and mutual TLS settings for the Solace PubSub connection.

SolacePubSubSourceResponse

Solace PubSub source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties SolacePubSubSourceProperties:

The properties of the Solace PubSub source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

SolacePubSub

The type of the source.

SolacePubSubTopicsSourceProperties

Solace PubSub topics source properties.

Name Type Description
dataConnectionId

string (uuid)

The Solace PubSub data connection identifier.

mapSolaceProperties

boolean

Indicates whether to map Solace standard message properties to Kafka record headers.

mapUserProperties

boolean

Indicates whether to map user properties from Solace message to Kafka record headers.

messageVpnName

string

The Solace PubSub message VPN name.

pubSubType string:

Topics

The Solace PubSub type.

tlsSettings

TLSSettings

The TLS and mutual TLS settings for the Solace PubSub connection.

topics

string[]

The Solace PubSub topics.

SourceType

Represents the type of the source. Additional source types may be added over time.

Value Description
AmazonKinesis

The Amazon Kinesis source type.

AmazonMSKKafka

The Amazon MSK Kafka source type.

ApacheKafka

The Apache Kafka source type.

AzureBlobStorageEvents

The Azure Blob Storage Events source type.

AzureCosmosDBCDC

The Azure Cosmos DB CDC source type.

AzureDataExplorer

The Azure Data Explorer source type.

AzureEventGridNamespace

The Azure Event Grid Namespace source type.

AzureEventHub

The Azure Event Hub source type.

AzureEventHubExtended

The Azure Event Hub Extended source type.

AzureIoTHub

The Azure IoT Hub source type.

AzureIoTHubExtended

The Azure IoT Hub Extended source type.

AzureSQLDBCDC

The Azure SQL DB CDC source type.

AzureSQLMIDBCDC

The Azure SQL MI DB CDC source type.

AzureServiceBus

The Azure Service Bus source type.

ConfluentCloud

The Confluent Cloud source type.

Cribl

The Cribl source type.

CustomEndpoint

The Custom Endpoint source type.

FabricAnomalyDetectionEvents

The Fabric Anomaly Detection Events source type.

FabricCapacityOperationEvents

The Fabric Capacity Operation Events source type.

FabricCapacityOverviewEvents

The Fabric Capacity Overview Events source type.

FabricJobEvents

The Fabric Job Events source type.

FabricOneLakeEvents

The Fabric OneLake Events source type.

FabricWorkspaceItemEvents

The Fabric Workspace Item Events source type.

GooglePubSub

The Google PubSub source type.

Http

The HTTP source type.

LakehouseChangeFeed

The Lakehouse Change Feed source type.

MirroredDatabaseChangeFeed

The Mirrored Database Change Feed source type.

MongoDBCDC

The MongoDB CDC source type.

Mqtt

The MQTT source type.

MySQLCDC

The MySQL CDC source type.

OracleDBCDC

The Oracle DB CDC source type.

PostgreSQLCDC

The PostgreSQL CDC source type.

RealTimeWeather

The Real Time Weather source type.

ReferenceLakehouse

The Reference Lakehouse source type. Provides a point-in-time snapshot from a Lakehouse delta table for enrichment joins.

SAPDatasphere

The SAP Datasphere source type.

SQLServerOnVMDBCDC

The SQL Server on VM DB CDC source type.

SampleData

The Sample Data source type.

SolacePubSub

The Solace PubSub source type.

SQLServerOnVMDBCDCSourceResponse

Azure SQL Server on VM DB CDC source response.

Name Type Description
error

ErrorInfo

The error information.

id

string (uuid)

The unique identifier of the source.

inputSchemas

InputSchema[]

The input schemas of the source.

name

string

The unique name of the source.

properties

BaseSQLServerCDCSourceProperties

The properties of the SQL Server on VM DB CDC source.

status

NodeStatus

The status of the node. Additional node status may be added over time.

type string:

SQLServerOnVMDBCDC

The type of the source.

StartPosition

The start position in the Azure Event Hub stream.

Value Description
Earliest

Start from the earliest event.

Latest

Start from the latest event.

TLSRevocationMode

The TLS certificate revocation mode. Additional modes may be added over time.

Value Description
Off

Revocation checking is disabled.

CRL

Revocation checking uses CRL (Certificate Revocation List).

OCSP

Revocation checking uses OCSP (Online Certificate Status Protocol).

CRLAndOCSP

Revocation checking uses both CRL and OCSP.

TLSSettings

Represents the TLS settings for a source connection.

Name Type Description
clientCertificate

ClientCertificate

The client certificate settings.

trustCACertificate

TrustCACertificate

The trust CA certificate settings.

TrustCACertificate

Represents the trust CA certificate settings.

Name Type Description
certificateResource CertificateResource:

KeyVaultCertificateResource

The trusted CA certificate resource.

cipherSuites

string

The cipher suites to use for the TLS connection.

verifyHostname

boolean

Determines whether the client verifies the broker's certificate hostname during the TLS handshake. When false, the client can connect even if the broker's certificate does not match its hostname.

Type

The sample data type. Additional sample data types may be added over time.

Value Description
YellowTaxi

Yellow Taxi sample data.

StockMarket

Stock Market sample data.

Bicycles

Bicycles sample data.

Buses

Buses sample data.

SP500Stocks

S&P 500 Stocks sample data.

SemanticModelLogs

Semantic Model Logs sample data.